## HTTPClient
Class SocketTimeout.TimeoutEntry

    java.lang.Object
      HTTPClient.SocketTimeout.TimeoutEntry

Enclosing class:
  SocketTimeout

class SocketTimeout.TimeoutEntry
extends Object

This class represents a timer entry. It is used to close an inactive socket after n seconds. Once running, the timer may be suspended (hyber()), restarted (reset()), or aborted (kill()). When the timer expires it invokes markForClose() on the associated stream demultipexer.

Field Summary
`(package private) boolean` `alive`
`(package private) StreamDemultiplexor` `demux`
`(package private) boolean` `hyber`
`(package private) SocketTimeout.TimeoutEntry` `next`
`(package private) SocketTimeout.TimeoutEntry` `prev`
`(package private) boolean` `restart`

Constructor Summary
`(package private)` `SocketTimeout.TimeoutEntry(StreamDemultiplexor demux)`

Method Summary
`(package private) void` `hyber()`
`(package private) void` `kill()`
`(package private) void` `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### restart

    boolean restart

### hyber

    boolean hyber

### alive

    boolean alive

### demux

    StreamDemultiplexor demux

### next

    SocketTimeout.TimeoutEntry next

### prev

    SocketTimeout.TimeoutEntry prev

Constructor Detail

### SocketTimeout.TimeoutEntry

    SocketTimeout.TimeoutEntry(StreamDemultiplexor demux)

Method Detail

### reset

    void reset()

### hyber

    void hyber()

### kill

    void kill()